VERIFYSIGNATURE(1)

NAME
verifysignature - Runs TPM2_VerifySignature

DESCRIPTION
--version-string=v1045 is not a valid option

verifysignature

Runs TPM2_VerifySignature and/or verifies using the PEM public key

    [-hk key handle] [-ipem public key PEM format file name to verify signature]

    One of -hk, -ipem must be specified

    [-halg (sha1, sha256, sha384) (default sha256)] [asymmetric key algorithm]

    [-rsa (default)] [-ecc curve (P256)]

-if input message file name

-ih input hash file name

-is signature file name

    [-raw (flag) signature specified by -is is in raw format]

    (default TPMT_SIGNATURE)

    [-tk ticket file name (requires -ha)]

--version is not a valid option

verifysignature

Runs TPM2_VerifySignature and/or verifies using the PEM public key

    [-hk key handle] [-ipem public key PEM format file name to verify signature]

    One of -hk, -ipem must be specified

    [-halg (sha1, sha256, sha384) (default sha256)] [asymmetric key algorithm]

    [-rsa (default)] [-ecc curve (P256)]

-if input message file name

-ih input hash file name

-is signature file name

    [-raw (flag) signature specified by -is is in raw format]

    (default TPMT_SIGNATURE)

    [-tk ticket file name (requires -ha)]

SEE ALSO
The full documentation for verifysignature is maintained as a Texinfo manual. If the info and verifysignature programs are properly installed at your site, the command

    info verifysignature

should give you access to the complete manual.